import { WidgetType } from "@codemirror/view";
export declare class BulletListWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: BulletListWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class TaskWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: TaskWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class MarkdownWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: MarkdownWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class MarkdownTextDirectiveWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: MarkdownTextDirectiveWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
