/**
 *
 * @returns {ReactElement} This component ensure that the frontend is up-to-date.
 * it query the endpoint api.versionCheckerEndpoint (in env.js) every X seconds and compares the tags.
 * If they are not the same, a message is displayed.
 */
export default function NerdVersionChecker({ versionCheckerEndpoint, checkRate, }: {
    versionCheckerEndpoint: string;
    checkRate?: number;
}): import("react/jsx-runtime").JSX.Element;
declare global {
    interface Window {
        app_info: {
            tag: string;
        };
    }
}
